Bug 1199217 - oVirt to consume device-mapper-multipath fix for running multipath -r on Fedora
Summary: oVirt to consume device-mapper-multipath fix for running multipath -r on Fedora
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: m1
: 3.6.0
Assignee: Ala Hino
QA Contact: Ori Gofen
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-05 16:35 UTC by Allon Mureinik
Modified: 2016-05-26 01:50 UTC (History)
12 users (show)

Fixed In Version: vdsm-4.17.0-632.git19a83a2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 12:57:59 UTC
oVirt Team: Storage
amureini: ovirt_requires_release_note-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 38359 0 master MERGED build: Update required device-mapper-multipath version Never

Description Allon Mureinik 2015-03-05 16:35:27 UTC
Description of problem:
device-mapper-multipath-0.4.9-68.fc21 solves a segfault in multipath. 
oVirt should consume it on Fedora.

There are three possibilities here:
1. Introduce another condition in the spec file to separate f20 and f21 requirements for VDSM - not recommended.
2. Work with multipath maintainers to have the fix backported to f20 - good solution for VDSM, but not sure it's worth the effort on their side.
3. Wait till we no longer need to support f20.

Comment 1 Dan Kenigsberg 2015-03-06 10:10:41 UTC
(In reply to Allon Mureinik from comment #0)

> 2. Work with multipath maintainers to have the fix backported to f20 - good
> solution for VDSM, but not sure it's worth the effort on their side.

Let device-mapper-multipath decide that, by cloning the relevant bug to f20 for their inspection, and make it block this bug.

Comment 2 Ori Gofen 2015-05-07 13:17:58 UTC
Allon, can you please provide steps to verify this one?

Comment 3 Allon Mureinik 2015-05-10 07:28:05 UTC
Fedora's Platform QE should verify that this build of device-mapper-multipath indeed solved the aforementioned segfault.

oVirt QE's side is to check that VDSM indeed requires a device-mapper-multipath version that includes the fix:

 rpm -qR vdsm | grep device-mapper-multipath


Ala - the spec file seems to require device-mapper-multipath >= 0.4.9-56, not device-mapper-multipath >= 0.4.9-68. Is this intentional? What am I missing here?

Comment 4 Ori Gofen 2015-05-11 11:16:27 UTC
Allon, just finished a clean hypervisor re-provision to vdsm 3.6
the spec file gives -> 

[root@adder ~]# rpm -qR vdsm | grep device-mapper-multipath
device-mapper-multipath >= 0.4.9-68

I'm verifying this based on this results

Comment 5 Ala Hino 2015-05-11 11:31:00 UTC
(In reply to Allon Mureinik from comment #3)
> Fedora's Platform QE should verify that this build of
> device-mapper-multipath indeed solved the aforementioned segfault.
> 
> oVirt QE's side is to check that VDSM indeed requires a
> device-mapper-multipath version that includes the fix:
> 
>  rpm -qR vdsm | grep device-mapper-multipath
> 
> 
> Ala - the spec file seems to require device-mapper-multipath >= 0.4.9-56,
> not device-mapper-multipath >= 0.4.9-68. Is this intentional? What am I
> missing here?

Yes, this is intentional.
Ben Marzinski provided me that version for Fedora 20.

Comment 6 Sandro Bonazzola 2015-11-04 12:57:59 UTC
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.


Note You need to log in before you can comment on or make changes to this bug.